Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.netz
Class Serververbindung

    java.lang.Object
      java.lang.Thread
          sum.netz.Verbindung
              sum.netz.Serververbindung

All Implemented Interfaces:
  Serializable, Runnable

    public class Serververbindung

extends Verbindung
implements Serializable

Verbindung des Servers mit einem Client.
Kann nebenläufig die empfangenen Nachrichten bearbeiten.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class
`zVerbindungAktiv`

Fields inherited from class
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `Serververbindung()` leerer Konstruktor

Method Summary
`void` | `bearbeiteNachricht(String pNachricht)` Der Server hat die von der Serververbindung empfangene Nachricht bearbeitet.
`void` | `bearbeiteProtokoll()` Solange der Client Nachrichten sendete, wurden diese empfangen und an die Server weitergereicht.
`void` | `bearbeiteVerbindungsaufbau()` Der Server hat auf den Verbindungsaufbau mit dem Client reagiert (Begrüßung).
`void` | `bearbeiteVerbindungsverlust()` Der Server hat auf den Verlust der Verbindung mit dem Client reagiert.
`void` | `beendeVerbindung()` Die Verbindung wurde korrekt beendet.
`protected void` | `initialisiere(Socket pSocket, boolean pTestModus, Server pServer)` Die ServerVerbindung wurde inialisiert.
`void` | `run()` Solange der Client Nachrichten sendete, wurden diese empfangen und an die Server weitergereicht.

Methods inherited from class
`eigeneAdresse, eigenerPort, empfangeneNachricht, erstelleVerbindung, gibFrei, mitProtokoll, partnerAdresse, partnerPort, sende, toString, verbindungsSocket, vorhanden`

Methods inherited from class
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Serververbindung

    protected Serververbindung()

  leerer Konstruktor

Method Detail

### bearbeiteNachricht

    public void bearbeiteNachricht(String pNachricht)

  Der Server hat die von der Serververbindung empfangene Nachricht bearbeitet.
  Diese Methode kann in Unterklassen überschrieben werden, um Nachrichten direkt in der ServerVerbindung statt im Server zu bearbeiten.

  Parameters:
    `pNachricht` - die von der ServerVerbindung empfangene Nachricht

### bearbeiteProtokoll

    public void bearbeiteProtokoll()

  Solange der Client Nachrichten sendete, wurden diese empfangen und an die Server weitergereicht.
  Abgebrochene Verbindungen wurden erkannt. Mit diesem Dienst können dialogorientierte Protokolle implementiert werden.

### bearbeiteVerbindungsaufbau

    public void bearbeiteVerbindungsaufbau()

  Der Server hat auf den Verbindungsaufbau mit dem Client reagiert (Begrüßung).
  Diese Methode kann in Unterklassen überschrieben werden, um die ersten Schritte des Protokolls mit dem Client durchzuführen.

### bearbeiteVerbindungsverlust

    public void bearbeiteVerbindungsverlust()

  Der Server hat auf den Verlust der Verbindung mit dem Client reagiert.
  Diese Methode kann in Unterklassen überschrieben werden.

### beendeVerbindung

    public void beendeVerbindung()

  Die Verbindung wurde korrekt beendet. Der Server wurde darüber informiert.
  Diese Methode kann in Unterklassen überschrieben werden.

### initialisiere

    protected void initialisiere(Socket pSocket,
                                 boolean pTestModus,
                                 Server pServer)

  Die ServerVerbindung wurde inialisiert.

  Parameters:
    `pSocket` - Socket, der die Verbindung beschreibt
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.
    `pServer` - Server, den die ServerVerbindung kennen lernt

### run

    public void run()

  Solange der Client Nachrichten sendete, wurden diese empfangen und an die Server weitergereicht.
  Abgebrochene Verbindungen wurden erkannt.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD